/*********************************************************************
*                                                                    *          
*                              FLY                                   *
*                           --E#Y#E--				     *
*                         ===MUSCLE===                               *
*                                                                    *
*********************************************************************/
#ifndef WIN_H_
#define WIN_H_

/* C Header Files */
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <fcntl.h>
#include <unistd.h>
#include <math.h>
#include <sys/types.h>
#include <time.h>
/* X11 */
#include <X11/keysym.h>
#include <X11/X.h>
#include <X11/Xlib.h>
#include <X11/Xutil.h>
/* OpenGL */
#include <GL/glew.h>
#include <GL/gl.h>
#include <GL/glx.h>
#include <GL/glu.h>
#include <GL/glext.h>
#include <GL/glxext.h>
/* Flysimulator */
#include "../WIN/fps.h"
#include "../CONF/config.h"
#include "../OGL/move.h"
#include "../OGL/opengl.h"

/*--------------------------------------------------------------------------*/

/* Function */
void desc_fbconfig(GLXFBConfig fbconfig);
int ctxErrorHandler(Display *display, XErrorEvent *ev);
void createWin(int width, int height, int bpp, char wide);
void createRender(int width, int height, int bpp, char wide);
void perspective(int width, int height);
void eventloop(void);
void loadFont();
void closeWin();

/*---------------------------------------------------------------------------*/

#endif

